Bug 490638 - Review Request: b43-tools - Tools for the Broadcom 43xx series WLAN chip
Review Request: b43-tools - Tools for the Broadcom 43xx series WLAN chip
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexey Torkhov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 490892
  Show dependency treegraph
 
Reported: 2009-03-17 09:00 EDT by Peter Lemenkov
Modified: 2009-06-15 22:00 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0-0.3.git20090125.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 21:21:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
atorkhov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2009-03-17 09:00:22 EDT
Spec URL: http://peter.fedorapeople.org/b43-tools.spec
SRPM URL: http://peter.fedorapeople.org/b43-tools-0-0.1.git20090125.fc10.src.rpm
Description: Tools for the Broadcom 43xx series WLAN chip.


This package is a requirement for building opensource firmware for bcm43xx-based wi-fi modules.
Comment 1 Keith G. Robertson-Turner 2009-04-03 22:01:30 EDT
Missing BuildRequires: python-devel

+ cd debug
+ python install.py install --skip-build --root /var/tmp/b43-tools-0-0.1.git20090125.blag90001-QEJNVW
running install
error: invalid Python installation: unable to open /usr/lib64/python2.5/config/Makefile (No such file or directory)
error: Bad exit status from /var/tmp/rpm-tmp.65195 (%install)

Please consider using Mach/Mock for clean chroot builds, as this will identify missing deps at an early stage.

Thanks for the package, I need this now I'm running a linux-libre kernel (b43 deblobbed)
Comment 2 Keith G. Robertson-Turner 2009-04-03 22:34:57 EDT
Test build succeeded.
b43-asm successfully assembled OpenFWWF b43 firmware.
Module inserts into kernel (with qos=0 option).
NetworkManager establishes WiFi connection.
Network responsive and shows no degradation.

+1 publish (after fixing missing BuildRequires: python, python-devel)
Comment 4 Peter Lemenkov 2009-05-19 08:45:48 EDT
New revision.

%changelog
* Tue May 19 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.3.git20090125
- Corrected 'License' field
- Since now ssb_sprom honours optflags

http://peter.fedorapeople.org/b43-tools.spec
http://peter.fedorapeople.org/b43-tools-0-0.3.git20090125.fc10.src.rpm

Koji scratchbuild:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1363009
Comment 5 Alexey Torkhov 2009-05-19 15:21:08 EDT
Pretty simple and clean package. Here is full review:

+ rpmlint output clean
+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format
  %{name}.spec.
+ The package meets Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
+ File, containing the text of the licenses for the package is included in
  %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source.
+ The package successfully compiles and builds into binary rpms on at least
  one primary architecture (x86_64).
+ All build dependencies are listed in BuildRequires.
+ No need to deal with locales.
+ Does not contain shared libraries.
+ The package does not designed to be relocatable.
+ A package owns all directories that it creates.
+ A package does not list a file more than once in the spec %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
+ Does not contain large documentation files.
+ Includes only doc files in %doc.
+ No headers.
+ No static libraries.
+ The package does not contain pkgconfig(.pc) files.
+ The package does not contain library files with a suffix (e.g.
  libfoo.so.1.1).
+ No devel packages.
+ The package does not contain any .la libtool archives.
+ Does not contain GUI applications.
+ The package does not own files or directories already owned by other
  packages.
+ At the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT.
+ All filenames in the package are valid UTF-8.

This package is APPROVED.
Comment 6 Peter Lemenkov 2009-05-19 15:45:12 EDT
New Package CVS Request
=======================
Package Name: b43-tools
Short Description: Tools for the Broadcom 43xx series WLAN chip
Owners: peter
Branches: EL-4 EL-5 F-9 F-10 F-11
InitialCC: peter
Comment 7 Kevin Fenzi 2009-05-20 01:39:27 EDT
cvs done.
Comment 8 Fedora Update System 2009-05-20 04:29:32 EDT
b43-tools-0-0.3.git20090125.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/b43-tools-0-0.3.git20090125.fc10
Comment 9 Fedora Update System 2009-05-20 04:29:39 EDT
b43-tools-0-0.3.git20090125.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/b43-tools-0-0.3.git20090125.fc11
Comment 10 Fedora Update System 2009-05-20 04:29:46 EDT
b43-tools-0-0.3.git20090125.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/b43-tools-0-0.3.git20090125.fc9
Comment 11 Fedora Update System 2009-05-20 19:54:37 EDT
b43-tools-0-0.3.git20090125.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update b43-tools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5239
Comment 12 Fedora Update System 2009-05-20 19:57:24 EDT
b43-tools-0-0.3.git20090125.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update b43-tools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5256
Comment 13 Fedora Update System 2009-05-20 19:59:55 EDT
b43-tools-0-0.3.git20090125.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update b43-tools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5262
Comment 14 Fedora Update System 2009-06-15 21:21:32 EDT
b43-tools-0-0.3.git20090125.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-06-15 21:40:47 EDT
b43-tools-0-0.3.git20090125.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-06-15 22:00:06 EDT
b43-tools-0-0.3.git20090125.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.